Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class ProcessGroovyMethods.ProcessRunner

    java.lang.Object
      org.codehaus.groovy.runtime.ProcessGroovyMethods.ProcessRunner

All Implemented Interfaces:
  Runnable

    protected static class ProcessGroovyMethods.ProcessRunner

A Runnable which waits for a process to complete together with a notification scheme allowing another thread to wait a maximum number of seconds for the process to complete before killing it.

Since:
  1.0

Constructor Summary
`ProcessGroovyMethods.ProcessRunner(Process process)`

Method Summary
`void` | `run()`
`void` | `waitForOrKill(long millis)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ProcessGroovyMethods.ProcessRunner

    public ProcessGroovyMethods.ProcessRunner(Process process)

Method Detail

### run

    public void run()

### waitForOrKill

    public void waitForOrKill(long millis)

Copyright © 2003-2010 The Codehaus. All rights reserved.